#!/bin/bash
RED='\033[0;31m'
GREEN='\033[0;32m'
NC='\033[0m'
#
printf "${RED}
MikroBILL Auto installer${NC}
"

if [ "$UID" -ne "0" ]
then
	echo "Для работы требуются права root"
	exit 1
fi


apt-get -y install snapd
wget -O /tmp/dotnet-install.sh https://dot.net/v1/dotnet-install.sh
chmod +x /tmp/dotnet-install.sh

printf "${GREEN}
Installing .NET Core...${NC}
"
/tmp/dotnet-install.sh -c 3.1 --runtime aspnetcore
snap install dotnet-sdk --classic --channel=3.1
snap install dotnet-sdk --classic --channel=3.1/edge
export PATH="$PATH:/snap/bin"
snap install core
snap install core18

printf "${GREEN}
Downloading MikroBILL...${NC}
"
mkdir -p /tmp/MikroBILL
wget -O /tmp/MikroBILL/MikroBILL_Unix.zip https://mikro-bill.com/downloads/stable
apt install unzip

printf "${GREEN}
Unpacking MikroBILL...${NC}
"
unzip -o /tmp/MikroBILL/MikroBILL_Unix.zip -d /tmp/MikroBILL

printf "${RED}
May a reboot needed...${NC}
"

printf "${GREEN}
Installing MikroBILL...${NC}
"
dotnet /tmp/MikroBILL/MikroBILL.dll

chmod -R a=rwx /var/www/html/payin
chmod -R a=rwx /var/www/html/actionin
chmod -R a=rwx /var/www/html/news
chmod -R a=rwx /var/www/html/tvin

